CMSIS-RTOS: Globals

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- o

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - o -

- OS_CLOCK : RTX_Conf_CM.c
- OS_ERROR_FIFO_OVF : RTX_Conf_CM.c
- OS_ERROR_MBX_OVF : RTX_Conf_CM.c
- OS_ERROR_STACK_OVF : RTX_Conf_CM.c
- OS_ERROR_TIMER_OVF : RTX_Conf_CM.c
- OS_FIFOSZ : RTX_Conf_CM.c
- OS_MAINSTKSIZE : RTX_Conf_CM.c
- OS_MUTEXCNT : RTX_Conf_CM.c
- OS_PRIVCNT : RTX_Conf_CM.c
- OS_PRIVSTKSIZE : RTX_Conf_CM.c
- OS_ROBIN : RTX_Conf_CM.c
- OS_ROBINTOUT : RTX_Conf_CM.c
- OS_RUNPRIV : RTX_Conf_CM.c
- OS_STKCHECK : RTX_Conf_CM.c
- OS_STKINIT : RTX_Conf_CM.c
- OS_STKSIZE : RTX_Conf_CM.c
- OS_TASKCNT : RTX_Conf_CM.c
- OS_TICK : RTX_Conf_CM.c
- OS_TIMERCBQS : RTX_Conf_CM.c
- OS_TIMERPRIO : RTX_Conf_CM.c
- OS_TIMERS : RTX_Conf_CM.c
- OS_TIMERSTKSZ : RTX_Conf_CM.c
- OS_TRV : RTX_Conf_CM.c
- osCMSIS : cmsis_os.h
- osCMSIS_KERNEL : cmsis_os.h
- osFeature_MailQ : cmsis_os.h
- osFeature_MainThread : cmsis_os.h
- osFeature_MessageQ : cmsis_os.h
- osFeature_Pool : cmsis_os.h
- osFeature_Semaphore : cmsis_os.h
- osFeature_Signals : cmsis_os.h
- osFeature_SysTick : cmsis_os.h
- osFeature_Wait : cmsis_os.h
- osKernelSystemId : cmsis_os.h
- osKernelSysTickFrequency : cmsis_os.h
- osKernelSysTickMicroSec : cmsis_os.h
- osMailQ : cmsis_os.h
- osMailQDef : cmsis_os.h
- osMessageQ : cmsis_os.h
- osMessageQDef : cmsis_os.h
- osMutex : cmsis_os.h
- osMutexDef : cmsis_os.h
- osPool : cmsis_os.h
- osPoolDef : cmsis_os.h
- osSemaphore : cmsis_os.h
- osSemaphoreDef : cmsis_os.h
- osThread : cmsis_os.h
- osThreadDef : cmsis_os.h
- osTimer : cmsis_os.h
- osTimerDef : cmsis_os.h
- osWaitForever : cmsis_os.h